vgabios (0.8a+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Aug 2021 19:35:06 +0200

vgabios (0.8a+ds-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to version 4.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 Jun 2021 19:48:07 +0200

vgabios (0.7b+ds-1) unstable; urgency=medium

  * New upstream release.
  * Exclude binary tarballs and drop binaries and debug files from the
    upstream tarball.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 Jan 2020 18:05:56 +0100

vgabios (0.7a+cvs20180116-1) unstable; urgency=medium

  * New upstream CVS snapshot.
  * Adopt the package. Closes: #745170.
  * Switch to priority “optional”.
  * Move to Salsa.
  * Use secure URLs in debian/copyright and debian/watch.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.
  * Drop Qemu from the package description, it no longer uses this
    package.

 -- Stephen Kitt <skitt@debian.org>  Thu, 15 Nov 2018 08:48:51 +0100

vgabios (0.7a-6) unstable; urgency=low

  [ Reiner Herrmann ]
  * QA upload.
  * Bump Standards-Version to 3.9.8.
  * Bump debhelper compat level to 9.
  * Use https URLs for Vcs-Git/Vcs-Browser/Homepage fields.
  * Convert debian/copyright to DEP5.
  * Remove comments from debian/watch.
  * Remove unneeded targets from rules.
  * Remove bochs conflict.
  * Enable parallel building.
  * Add patch for reproducible building.
  * Add patch to support QXGA resolutions.
    Thanks to Sven Schnelle. (Closes: #669114)

  [ Mattia Rizzolo ]
  * Move the repository to collab-maint

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 08 Apr 2016 23:11:11 +0200

vgabios (0.7a-5) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 18 Apr 2014 20:32:51 +0400

vgabios (0.7a-4) unstable; urgency=low

  * add symlinks for naming as used by qemu (s/\./_/)
  * move symlinks from debian/links to debian/rules
    (just one place for paths) and simplify it a bit
  * reformat previous changelog to fit in 80 columns
  * Multi-Arch: foreign (Closes: #728474)
  * Set Standards-Version to 3.9.4 (no changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 23 Nov 2013 23:45:11 +0400

vgabios (0.7a-3) unstable; urgency=low

  * Adopt the package under qemu-pkg umbrella (Closes: #658776)
    Thank you Guillem for maintaining it so far
  * Move package git repository to git.debian.org
  * Update VCS links accordingly
  * Convert debian/rules to debhelper, remove more generated files in clean
  * Added debian/patches/disable-1280x768-and-1280x120-modes.patch
    to work around the problem described in #654823.  The patch
    does not fix the bug, it just disables two useful video modes
    which are causing issues. (Closes: #654823)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 06 Feb 2012 14:50:58 +0400

vgabios (0.7a-2) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 Feb 2012 00:19:33 +0100

vgabios (0.7a-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01-Makefile-cleanup: Remove, merged upstream.
    - debian/patches/02-Add-defines-for-PCI-IDs: Likewise.
    - debian/patches/03-Add-qemu-stdvga-pci-bios: Likewise.
    - debian/patches/04-update-pci_get_lfb_addr-for-vmware-vga: Likewise.
    - debian/patches/05-Add-qemu-vmware-vga-pci-bios: Refreshed.
    - debian/patches/06-Add-qemu-qxl-vga-pci-bios: Likewise.
  * Add compatibility symlinks from stdvga vgabios to the default vgabios
    ROM, as the latter is now exactly the same as the former.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 01 Nov 2011 00:57:42 +0100

vgabios (0.6c-3) unstable; urgency=low

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.1 (no changes needed).
  * Add missing ${misc:Depends} to vgabios Depends field.

  [ Jonathan Nieder ]
  * Add support for additional PCI BIOS, by using proper PCI IDs.
    Patches taken from the QEMU tree by Gerd Hoffman: (Closes: #614200)
    - Makefile: factor out a single rule to build BIOS binaries, using
      variables to account for their differences.
      + debian/patches/01-Makefile-cleanup: New file.
    - Allow PCI vendor and device IDs to be set for each BIOS binary.
      + debian/patches/02-Add-defines-for-PCI-IDs: New file.
    - Introduce vgabios-stdvga.bin, for QEMU's standard VGA card (1234:1111).
      + debian/patches/03-Add-qemu-stdvga-bios: New file.
    - Make pci_get_lfb_addr check PCI region 1 in addition to region zero,
      so it can be used for the VmWare SVGA-II compatible adapter.
      + debian/patches/04-update-pci_get_lfb_addr-for...: New file.
    - Introduce vgabios-vmware.bin, for the VmWare SVGA-II card (15ad:0405).
      + debian/patches/05-Add-qemu-vmware-vga-pci-bios: New file.
    - Introduce vgabios-qxl.bin, for QEMU's QXL paravirtual graphics card
      (1b36:0100).
      + debian/patches/06-Add-qemu-qxl-vga-pci-bios: New file.
  * Install the new binaries in debian/rules.

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Feb 2011 03:44:20 +0100

vgabios (0.6c-2) unstable; urgency=low

  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Use UTF-8 copyright symbol in debian/rules.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 02 Dec 2009 22:31:26 +0100

vgabios (0.6c-1) unstable; urgency=low

  * New upstream release. (Closes: #523303)
    - debian/patches/widescreen_modes_stolen_from_kvm.patch: Remove, fixed
    upstream.
  * Refer to LGPL-2.1 from common-licenses instead of just LGPL.
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Now using Standards-Version 3.8.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Apr 2009 16:24:25 +0200

vgabios (0.6b-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01_pci_rom_header.patch: Remove, fixed upstream.
    - debian/patches/02_biossums_warning.patch: Likewise.
    - debian/patches/03_no_linemarkers.patch: Likewise.
  * The offending patches using the quilt series -p0 specific feature are
    no longer in the package. (Closes: #485361)
  * Update debian/watch file to new savannah url.
  * Improve debian/copyright:
    - Remove empty Copyright section.
    - Rename Acknowledgements to Copyright Holders.
    - List all copyright holders, with copyright sign and years.
    - Add more upstream authors.
    - Update upstream download url.
  * Add a README.source.
  * Add a Homepage field.
  * Update packaging VCS fields to the new url.
  * Now using Standards-Version 3.8.0.
  * Add support for widescreen modes, stolen from KVM. (Closes: #458477)
    - debian/patches/widescreen_modes_stolen_from_kvm.patch: New file.

 -- Guillem Jover <guillem@debian.org>  Sun, 15 Jun 2008 07:56:46 +0300

vgabios (0.6a-3) unstable; urgency=low

  * Do not add linemarkers from gcc preprocessed output. (Closes: #441491)
    - debian/patches/03_no_linemarkers.patch: New file.
  * Add Vcs-Brwoser and Vcs-Git fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Sep 2007 05:28:35 +0300

vgabios (0.6a-2) unstable; urgency=low

  * Add quilt support for patch management:
    - Add 'quilt (>= 0.40) to Build-Depends.
    - Include quilt.make from debian/rules.
    - Add a debian/patches/series file.
  * Add a PCI rom header. (Closes: #432766)
    - debian/patches/01_pci_rom_header.patch: New file.
    Thanks to Stefan Reinauer <stepan@coresystems.de>.
  * Fix warning in biossums.c by including <string.h>.
    - debian/patches/02_biossums_warning.patch: New file.
  * Add build-indep and build-arch targets.
  * Create the binary package on binary-indep instead of binary-arch.

 -- Guillem Jover <guillem@debian.org>  Tue, 17 Jul 2007 06:11:15 +0300

vgabios (0.6a-1) unstable; urgency=low

  * New upstream release.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Move debhelper from Build-Depends-Indep to Build-Depends as it's being
    used on clean.

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Aug 2006 03:22:04 +0300

vgabios (0.5d-1) unstable; urgency=low

  * New upstream release.
  * Updated FSF's address.
  * Upgraded to debhelper compat level 5.
  * Remove commented stuff on debian/rules.

 -- Guillem Jover <guillem@debian.org>  Mon,  2 Jan 2006 00:26:09 +0200

vgabios (0.5c-1) unstable; urgency=low

  * New upstream release.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Jul 2005 11:39:45 +0300

vgabios (0.5b-1) unstable; urgency=low

  * New upstream release.
  * Update watch file URL and increase version number to 3.
  * Now using Standards-Version 3.6.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue,  5 Jul 2005 01:21:45 +0300

vgabios (0.5a-1) unstable; urgency=low

  * New upstream release.
  * Do not use a build-stamp file.

 -- Guillem Jover <guillem@debian.org>  Mon,  4 Apr 2005 01:35:02 +0300

vgabios (0.4c+20041014-1) unstable; urgency=low

  * New Maintainer. (Closes: #276391)
  * New upstream snapshot.
    - Remove CVS dirs.
    - Not tar in tar anymore.
  * Clean debian/copyright.
  * Reworded package long description.
  * Removed emacs cruft from changelog.
  * Do not create the lintian overrides dir.
  * Remove the binary rom files on clean.
  * Switch back to plain debhelper.
  * Now using Standards-Version 3.6.1.

 -- Guillem Jover <guillem@debian.org>  Thu, 14 Oct 2004 23:11:19 +0200

vgabios (0.4c+20040829-3) unstable; urgency=low

  * Orphaned.
    - control.in (Maintainer): Set to Debian QA group.

 -- Robert Millan <rmh@debian.org>  Wed, 13 Oct 2004 20:55:58 +0200

vgabios (0.4c+20040829-2) unstable; urgency=low

  * control (Conflicts): Add bochs (<< 2.1.1+20040903-1).

 -- Robert Millan <rmh@debian.org>  Fri,  3 Sep 2004 11:31:06 +0200

vgabios (0.4c+20040829-1) experimental; urgency=low

  * New upstream snapshot.
    - Adds totaly undocumented "-DCIRRUS" build.  Whatever it is, it must be
      cool so we install it in debian/rules.
    - Uploading to experimental.  This version of vgabios works for Qemu but
      breaks with Bochs.
  * control (Description):  Nuke references to Plex86, and add some to Qemu.
  * rules:  Nuke "_CPU = i386" check (this should now build on all cpus).
    - README.Debian:  Kill.
    - rules: Stop installing lintian override file.
    - overrides: Nuke.

 -- Robert Millan <rmh@debian.org>  Mon, 30 Aug 2004 19:09:41 +0200

vgabios (0.4b-1) unstable; urgency=low

  * New upstream release.
  * Switch to CDBS.
    - control: Add cdbs, set debhelper to (>= 4.1.0).
    - rules: Rewrite.

 -- Robert Millan <rmh@debian.org>  Wed,  5 Nov 2003 12:39:36 +0100

vgabios (0.4a-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Thu, 21 Aug 2003 02:54:43 +0000

vgabios (0.3a+20030324-1) unstable; urgency=low

  * First upload as a developer.
  * New upstream snapshot.
  * Removed tools86.c, which is not needed anymore.
  * Updated upstream URL in debian/copyright.

 -- Robert Millan <rmh@debian.org>  Mon, 24 Mar 2003 18:17:45 +0000

vgabios (0.3a-2) unstable; urgency=low

  * Reworked i386 check to be kernel-independant.
  * Ported tools86.c to the Hurd, forwarding patch to dosemu.
  * Fixed the #asm / #endasm problem as explained in the mailing list.

 -- Robert Millan <zeratul2@wanadoo.es>  Tue, 16 Apr 2002 17:29:50 +0200

vgabios (0.3a-1) unstable; urgency=low

  * New upstream release
  * Added Jeroen Janssen <japj@darius.demon.nl> to author list.
  * Missing awk in Build-Depends was added.

 -- Robert Millan <zeratul2@wanadoo.es>  Wed, 20 Mar 2002 00:11:45 +0100

vgabios (0.2b-2) unstable; urgency=low

  * Deactivated unnecessary dh_shlibdeps.

 -- Robert Millan <zeratul2@wanadoo.es>  Mon,  4 Mar 2002 15:18:25 +0100

vgabios (0.2b-1) unstable; urgency=low

  * New upstream release
  * Unset execution bit from vgabios.bin.
  * Lintian overrides build-depends-without-arch-dep, see README.Debian.
  * Set bash as interpreter of dataseghack to support upstream's bashisms.
  * Bulding an extra image with debugging support.
  * C shell no longer needed, got rid of it.

 -- Robert Millan <zeratul2@wanadoo.es>  Fri, 22 Feb 2002 12:59:59 +0100

vgabios (0.2a-2) unstable; urgency=low

  * Fixed a typo in debian/control. (Closes: #125457)
  * Moved vgabios.bin to /usr/share/vgabios/vgabios.bin.

 -- Robert Millan <zeratul2@wanadoo.es>  Tue, 18 Dec 2001 22:58:30 +0100

vgabios (0.2a-1) unstable; urgency=low

  * New upstream release.
  * Removed blank line in debian/control (Closes: #113976)
  * Documented reason not to build for non-i386 archs. Look at README.Debian.

 -- Robert Millan <zeratul2@wanadoo.es>  Sun, 11 Nov 2001 20:45:31 +0100

vgabios (0.01a-1) unstable; urgency=low

  * Initial Release.

 -- Robert Millan <zeratul2@wanadoo.es>  Sat,  1 Sep 2001 17:01:45 +0200
